From 06004353f110fd5d1be77b50cdbe048b8030102a Mon Sep 17 00:00:00 2001
From: "dgrowley@gmail.com" <dgrowley@gmail.com>
Date: Sun, 2 Dec 2018 10:47:56 +1300
Subject: [PATCH v1] Change Bitmapset from 32 bit to 64 bit words

This can improve allocation performance for when large Bitmapsets are built
incrementally.  Performance of skipping zero words in the set also is
improved here.
---
 src/include/nodes/bitmapset.h | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/include/nodes/bitmapset.h b/src/include/nodes/bitmapset.h
index b6f1a9e6e5..132b96c18a 100644
--- a/src/include/nodes/bitmapset.h
+++ b/src/include/nodes/bitmapset.h
@@ -30,9 +30,9 @@ struct List;
  */
 
 /* The unit size can be adjusted by changing these three declarations: */
-#define BITS_PER_BITMAPWORD 32
-typedef uint32 bitmapword;		/* must be an unsigned type */
-typedef int32 signedbitmapword; /* must be the matching signed type */
+#define BITS_PER_BITMAPWORD 64
+typedef uint64 bitmapword;		/* must be an unsigned type */
+typedef int64 signedbitmapword; /* must be the matching signed type */
 
 typedef struct Bitmapset
 {
-- 
2.16.2.windows.1

